Bug 1480236 - [RFE] Use notification drawer space more efficiently [depends on PF #959]
[RFE] Use notification drawer space more efficiently [depends on PF #959]
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
Unspecified Unspecified
medium Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Greg Sheremeta
Petr Matyáš
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 09:12 EDT by Petr Matyáš
Modified: 2018-02-28 07:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+
pstehlik: testing_plan_complete-
mgoldboi: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)
screenshot (147.84 KB, image/png)
2017-08-10 09:12 EDT, Petr Matyáš
no flags Details
screenshot from 4.2.2 (149.91 KB, image/png)
2018-02-19 08:32 EST, Petr Matyáš
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 85466 master MERGED webadmin: increase number of alerts shown 2017-12-15 08:09 EST

  None (edit)
Description Petr Matyáš 2017-08-10 09:12:38 EDT
Created attachment 1311753 [details]
screenshot

Description of problem:
Notification drawer takes space across the entire page although only half of it is used for displaying alerts. This seems like a waste and I would rather see it used for displaying more alerts or being rendered only for necessary space.

Version-Release number of selected component (if applicable):
ovirt-engine-4.2.0-0.0.master.20170809175855.git1082d9d.el7.centos.noarch

How reproducible:
always

Steps to Reproduce:
1. open webadmin and log in
2. open notification drawer
3.

Actual results:
drawer is rendered across the entire page even though it just shows blank space on the bottom

Expected results:
should be rendered only as big as many items are shown or more items should be displayed to take the blank space

Additional info:
Comment 2 Tomas Jelinek 2018-01-17 06:49:18 EST
it actually did make 4.2
Comment 3 Petr Matyáš 2018-02-19 08:32 EST
Created attachment 1397858 [details]
screenshot from 4.2.2

Using ovirt-engine-webadmin-portal-4.2.2-0.1.el7.noarch

OK, it's sort of better now, but there is still a blank space when not so many items are present and thus "Events" and "Clear"/"Display All" buttons are in the middle of notification drawer.
Comment 4 Greg Sheremeta 2018-02-20 09:35:51 EST
(In reply to Petr Matyáš from comment #3)
> Created attachment 1397858 [details]
> screenshot from 4.2.2
> 
> Using ovirt-engine-webadmin-portal-4.2.2-0.1.el7.noarch
> 
> OK, it's sort of better now, but there is still a blank space when not so
> many items are present and thus "Events" and "Clear"/"Display All" buttons
> are in the middle of notification drawer.


Petr, thanks :) That's by design in PatternFly: https://www.patternfly.org/pattern-library/communication/notification-drawer/

You could open a bug on PatternFly if you like (https://github.com/patternfly/patternfly/issues)

But tbh I like the functionality as it is now. Please pass?
Comment 5 Petr Matyáš 2018-02-20 10:03:31 EST
https://github.com/patternfly/patternfly/issues/959

But I can't set "Depends On" to github issue :(
Comment 6 Greg Sheremeta 2018-02-20 13:38:30 EST
I looked at your github issue, and this is indeed pretty ugly. Thanks for opening the issue.

I'll keep this as a tracker and move to 4.3, awaiting a PatternFly fix.
Comment 7 Tomas Jelinek 2018-02-28 07:09:47 EST
since we are waiting for a PF (https://github.com/patternfly/patternfly-design/issues/573) this is not modified anymore. Moving to new.

Note You need to log in before you can comment on or make changes to this bug.